Toggle Global Feature Flag
Available Feature Flags
Path parameters
merchant_idinteger · int32Required
feature_flagstringRequired
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Body
Request body for toggling the boolean value of a setting.
enabledbooleanOptional
Is the setting enabled.
Responses
default
default response
application/json
A Container for Merchant Configuration info
lockedbooleanOptional
When true, prevents any changes from being made to the merchant configuration.
put/merchants/{merchant_id}/configuration/global_feature_flags/{feature_flag}
PUT /v1/merchants/{merchant_id}/configuration/global_feature_flags/{feature_flag} HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"enabled": true
}default
default response
{
"global_feature_flags": {
"sync_metadata": false,
"sync_collections": true,
"sync_sku_metadata": true
},
"platform_feature_flags": {
"filter_by_collections": false,
"use_custom_shipping_rates": true
},
"orders_config": {
"custom_tags": [
"tag1",
"tag2"
]
}
}Last updated
Was this helpful?